%m-file used to plot an x-y surface plot.
% DATA MUST BE SAVED X,Y,DENS
function initial(dens1,dens2,dens3,dens4,carpet1,carpet2,carpet3,carpet4,phase1,phase2,phase3,phase4)

%tract=subplot(3,4,1)
subplot(3,4,1)
subplot('Position',[0.1,0.74,0.2,0.2])
data=load(dens1);
%take the x and y data from the file 
%and create a mesh of equally spaced data
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
%choose the columns you wish to plot
%the first and second form the mesh
%the final column is the property you wish to plot
%this final column may change depending on which surface
%condition you are plotting.
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
%make a surface plot
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
%set(gca, 'Units','normalized', 'Position',[0.15 0.36 0.75 0.6]);
%set your axis

set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('T=1 nK','fontsize',20)
%title('t=43 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([0,3500])
colormap(jet);
freezeColors;
%set(tract,'EdgeColor','none');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,2)
subplot('Position',[0.3,0.74,0.2,0.2])
data=load(dens2);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('T=5 nK','fontsize',20)
%title('t=47 ms','fontsize',20)
%title('t=50 ms','fontsize',20)
%title('t=37 ms','fontsize',20)


view(0,90);
shading interp
lighting gouraud
caxis([0,3500])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,3)
subplot('Position',[0.5,0.74,0.2,0.2])
data=load(dens3);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('T=9 nK','fontsize',20)
%title('t= 54 ms','fontsize',20)
%title('t=65 ms','fontsize',20)
%title('t=47 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([0,3500])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,4)
subplot('Position',[0.7,0.715,0.25,0.25])
data=load(dens4);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('T=10 nK','fontsize',20)
%title('t=137 ms','fontsize',20)
%title('t=68 ms','fontsize',20)
%title('t= 50 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([0,3500])
H=colorbar('Ylim',[0 3500],'Ytick',[0 3500],'FontName','symbol','fontsize',20);
cbfreeze(H);
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,5)
subplot('Position',[0.1,0.465,0.2,0.2])
data=load(carpet1);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)

view(0,90);

shading interp
lighting gouraud
caxis([-800,800])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,6)
subplot('Position',[0.3,0.465,0.2,0.2])
data=load(carpet2);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)


view(0,90);
shading interp
lighting gouraud
caxis([-800,800])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,7)
subplot('Position',[0.5,0.465,0.2,0.2])
data=load(carpet3);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)


view(0,90);
shading interp
lighting gouraud
caxis([-800,800])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,8)
subplot('Position',[0.7,0.44,0.25,0.25])
%subplot('Position',[0.764,0.455,0.1964,0.1964])

%subplot('Position',[0.764,0.385,0.266,0.266])
data=load(carpet4);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)

view(0,90);
shading interp
lighting gouraud
caxis([-800,800])
B=colorbar('Ylim',[-800 800],'Ytick',[-800 0 800],'FontName','symbol','fontsize',20);
cbfreeze(B);
freezeColors;

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,9);
subplot('Position',[0.1,0.2,0.2,0.2])
data=load(phase1);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
%set(gca, 'XLim', [-3 3], 'Xtick',[-3 -2 -1 0 1 2 3],'XtickLabel',[{'-3','','',0,'','','3'}],'YLim', [-3 3],'Ytick',[-3 -2 -1 0 1 2 3],'YtickLabel',[{'-3','','',0,'','','3'}],'PlotBoxAspectRatio', [1 1 1],'fontsize',20);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%xlabel('x [l_0]','fontsize',25)
%ylabel('y [l_0]','fontsize',25)

mask_in =  1.1 * max(max(z)) * ones(size(x));
mask_in(y.^2+x.^2>1.8) =NaN;
hold on;
mesh(rangex,rangey,mask_in,'FaceColor','w','EdgeAlpha',0);
mask_out =  1.1 * max(max(z)) * ones(size(x));
mask_out(y.^2+x.^2<5.5) =NaN;
hold on;
mesh(rangex,rangey,mask_out,'FaceColor','w','EdgeAlpha',0);
%axis off;

view(0,90);
shading interp
lighting gouraud
caxis([-pi,pi])
colormap(hsv);
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,10)
subplot('Position',[0.3,0.2,0.2,0.2])
data=load(phase2);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)

mask_in =  1.1 * max(max(z)) * ones(size(x));
mask_in(y.^2+x.^2>1.8) =NaN;
hold on;
mesh(rangex,rangey,mask_in,'FaceColor','w','EdgeAlpha',0);
mask_out =  1.1 * max(max(z)) * ones(size(x));
mask_out(y.^2+x.^2<5.5) =NaN;
hold on;
mesh(rangex,rangey,mask_out,'FaceColor','w','EdgeAlpha',0);
%axis off;

view(0,90);
shading interp
lighting gouraud
caxis([-pi,pi])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,11)
subplot('Position',[0.5,0.2,0.2,0.2])
data=load(phase3);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)

mask_in =  1.1 * max(max(z)) * ones(size(x));
mask_in(y.^2+x.^2>1.8) =NaN;
hold on;
mesh(rangex,rangey,mask_in,'FaceColor','w','EdgeAlpha',0);
mask_out =  1.1 * max(max(z)) * ones(size(x));
mask_out(y.^2+x.^2<5.5) =NaN;
hold on;
mesh(rangex,rangey,mask_out,'FaceColor','w','EdgeAlpha',0);
%axis off;

view(0,90);
shading interp
lighting gouraud
caxis([-pi,pi])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,12)
subplot('Position',[0.7,0.175,0.25,0.25])
data=load(phase4);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-3 3], 'Xtick',[-2 -1 0 1 2],'XtickLabel',[],'YLim', [-3 3],'Ytick',[-2 -1 0 1 2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)

mask_in =  1.1 * max(max(z)) * ones(size(x));
mask_in(y.^2+x.^2>1.8) =NaN;
hold on;
mesh(rangex,rangey,mask_in,'FaceColor','w','EdgeAlpha',0);
mask_out =  1.1 * max(max(z)) * ones(size(x));
mask_out(y.^2+x.^2<5.5) =NaN;
hold on;
mesh(rangex,rangey,mask_out,'FaceColor','w','EdgeAlpha',0);
%axis off;

view(0,90);
shading interp
lighting gouraud
caxis([-pi,pi])
V=colorbar('Ylim',[-pi pi],'Ytick',[-pi 0 pi],'YtickLabel',['-p'; ' 0' ;' p'],'FontName','symbol','fontsize',20);
cbfreeze(V);
freezeColors;


