%m-file used to plot an x-y surface plot.
% DATA MUST BE SAVED X,Y,DENS
function initial(dens1,dens2)


subplot(2,2,1)
%subplot('Position',[0.1,0.74,0.2,0.2])
data=load(dens1);
%take the x and y data from the file 
%and create a mesh of equally spaced data
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
%choose the columns you wish to plot
%the first and second form the mesh
%the final column is the property you wish to plot
%this final column may change depending on which surface
%condition you are plotting.

z=griddata(data(:,1),data(:,2),data(:,3),x,y);
%make a surface plot
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
%set(gca, 'Units','normalized', 'Position',[0.15 0.36 0.75 0.6]);
%set your axis
title('l_r/\xi=0.8','fontsize',25)
hold off;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[-0.5 0 0.5],'YLim', [1.3 2.3] ,'Ytick',[1.4 1.8 2.2],'YtickLabel',[1.4 1.8 2.2],'PlotBoxAspectRatio', [1 1 1],'fontsize',25);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
xlabel('x [l_0]','fontsize',25)
ylabel('y [l_0]','fontsize',25)
%title('t=36 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
colormap(jet);
%freezeColors;
%colorbar('Ylim',[-1200 0],'Ytick',[-1200 0],'FontName','symbol','fontsize',25);
%set(tract,'EdgeColor','none');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(2,2,2)
%subplot('Position',[0.3,0.74,0.2,0.2])
data=load(dens2);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[-0.5 0 0.5],'YLim', [1.3 2.3] ,'Ytick',[1.4 1.8 2.2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1],'fontsize',25);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
title('l_r/\xi=1.3','fontsize',25)
%title('t=43 ms','fontsize',20)
%title('t=50 ms','fontsize',20)
%title('t=37 ms','fontsize',20)
xlabel('x [l_0]','fontsize',25)
%ylabel('y [l_0]','fontsize',25)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
colorbar('Ylim',[-1200 0],'Ytick',[-1200 0],'FontName','symbol','fontsize',25);
%text(0.5,0.5,'$\hbar$','interpreter','latex');
%xlabel('E[$\hbar$ $\omega_0$]','interpreter','latex','fontsize',25)

