%m-file used to plot an x-y surface plot.
% DATA MUST BE SAVED X,Y,DENS
function initial(dens1,dens2,dens3,dens4,carpet1,carpet2,carpet3,carpet4)

%tract=subplot(3,4,1)
subplot(3,4,1)
subplot('Position',[0.1,0.74,0.2,0.2])
data=load(dens1);
%take the x and y data from the file 
%and create a mesh of equally spaced data
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
%choose the columns you wish to plot
%the first and second form the mesh
%the final column is the property you wish to plot
%this final column may change depending on which surface
%condition you are plotting.
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
%make a surface plot
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
%set(gca, 'Units','normalized', 'Position',[0.15 0.36 0.75 0.6]);
%set your axis


set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [1.3 2.3] ,'Ytick',[1.4 1.8 2.2],'YtickLabel',[1.4 1.8 2.2],'PlotBoxAspectRatio', [1 1 1],'fontsize',20);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('T=0','fontsize',20)
%title('t=36 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
colormap(jet);
freezeColors;
%set(tract,'EdgeColor','none');
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,2)
subplot('Position',[0.3,0.74,0.2,0.2])
data=load(dens2);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [1.3 2.3] ,'Ytick',[1.4 1.8 2.2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
title('T=1 nK','fontsize',20)
%title('t=43 ms','fontsize',20)
%title('t=50 ms','fontsize',20)
%title('t=37 ms','fontsize',20)


view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,3)
subplot('Position',[0.5,0.74,0.2,0.2])
data=load(dens3);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [1.3 2.3] ,'Ytick',[1.4 1.8 2.2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
title('T=9 nK','fontsize',20)
%title('t=72 ms','fontsize',20)
%title('t=65 ms','fontsize',20)
%title('t=47 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,4)
subplot('Position',[0.7,0.715,0.25,0.25])
data=load(dens4);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [1.3 2.3] ,'Ytick',[1.4 1.8 2.2],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
title('T=9 nK','fontsize',20)
%title('t=137 ms','fontsize',20)
%title('t=119 ms','fontsize',20)
%title('t= 50 ms','fontsize',20)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
H=colorbar('Ylim',[-1200 0],'Ytick',[-1200 0],'FontName','symbol','fontsize',20);
cbfreeze(H);
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,5)
subplot('Position',[0.1,0.465,0.2,0.2])
data=load(carpet1);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[-0.5 0 0.5],'YLim', [-2.3 -1.3] ,'Ytick',[-2.2 -1.8 -1.4],'YtickLabel',[-2.2 -1.8 -1.4],'PlotBoxAspectRatio', [1 1 1],'fontsize',20);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
xlabel('x')
ylabel('y')
view(0,90);

shading interp
lighting gouraud
caxis([-1200,0])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,6)
subplot('Position',[0.3,0.465,0.2,0.2])
data=load(carpet2);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [-2.3 -1.3] ,'Ytick',[-2.2 -1.8 -1.4],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)


view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,7)
subplot('Position',[0.5,0.465,0.2,0.2])
data=load(carpet3);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [-2.3 -1.3] ,'Ytick',[-2.2 -1.8 -1.4],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('t= ms','fontsize',17)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
freezeColors;
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
subplot(3,4,8)
subplot('Position',[0.7,0.44,0.25,0.25])
%subplot('Position',[0.764,0.455,0.1964,0.1964])

%subplot('Position',[0.764,0.385,0.266,0.266])
data=load(carpet4);
rangey=floor(min(data(:,2))):.05:ceil(max(data(:,2)));
rangex=floor(min(data(:,1))):.05:ceil(max(data(:,1)));
[x,y]=meshgrid(rangex,rangey);
z=griddata(data(:,1),data(:,2),data(:,3),x,y);
surf(rangex,rangey,z,'EdgeAlpha',0); box on;
set(gca, 'XLim', [-0.5 0.5], 'Xtick',[-0.5 0 0.5],'XtickLabel',[],'YLim', [-2.3 -1.3] ,'Ytick',[-2.2 -1.8 -1.4],'YtickLabel',[],'PlotBoxAspectRatio', [1 1 1]);
grid off;
set(gca, 'layer', 'top');
set(gca, 'xcolor', 'k', 'ycolor', 'k');
set(gca,'ticklength',[0.03 0.05],'linewidth',1.5)
%title('t= ms','fontsize',17)

view(0,90);
shading interp
lighting gouraud
caxis([-1200,0])
B=colorbar('Ylim',[-1200 0],'Ytick',[-1200 0],'FontName','symbol','fontsize',20);
cbfreeze(B);
freezeColors;


